# fileDescriptorStruct Struct Reference

`#include <vfs.h>`

## Data Fields

fileDescriptorStruct * | prev
fileDescriptorStruct * | next
mountPoints * | mp
uInt16 | status
uInt16 | mode
uInt32 | offset
uInt32 | size
uInt16 | length
uInt32 | start
uInt8 | fileName [22]
char * | buffer
uInt32 | dirBlock
uInt32 | perms

## Field Documentation

char* fileDescriptorStruct::buffer

uInt32 fileDescriptorStruct::dirBlock

uInt8 fileDescriptorStruct::fileName[22]

uInt16 fileDescriptorStruct::length

uInt16 fileDescriptorStruct::mode

struct mountPoints* fileDescriptorStruct::mp

struct fileDescriptorStruct* fileDescriptorStruct::next

uInt32 fileDescriptorStruct::offset

uInt32 fileDescriptorStruct::perms

struct fileDescriptorStruct* fileDescriptorStruct::prev

uInt32 fileDescriptorStruct::size

uInt32 fileDescriptorStruct::start

uInt16 fileDescriptorStruct::status

The documentation for this struct was generated from the following file:

- vfs.h